Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 455141 - login screen without background
Summary: login screen without background
Keywords:
Status: CLOSED UPSTREAM
Alias: None
Product: Fedora
Classification: Fedora
Component: gdm
Version: rawhide
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: jmccann
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: F10DesktopBlocker
TreeView+ depends on / blocked
 
Reported: 2008-07-12 17:30 UTC by Matthias Clasen
Modified: 2015-01-14 23:21 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2008-08-20 16:15:18 UTC


Attachments (Terms of Use)
Wide login screen with background (deleted)
2008-07-21 13:25 UTC, Tom London
no flags Details
wide login screen with black/no background (deleted)
2008-07-21 13:25 UTC, Tom London
no flags Details
narrow login screen (no suspend button) with black/no background (deleted)
2008-07-21 13:26 UTC, Tom London
no flags Details
/var/log/gdm/:0-greeter.log for session with "black background" (deleted)
2008-09-04 18:16 UTC, Tom London
no flags Details

Description Matthias Clasen 2008-07-12 17:30:53 UTC
Every so often, I end up with a black background on the login screen after
booting. Is there some race condition that makes setting the background not work
reliably ?

Comment 1 Tom London 2008-07-16 14:34:18 UTC
I see this more often:

I get a black screen most of the time, with a "pretty background" about 1 in 10
or so.

In addition, the size of the window listing login names (and the one with the
password prompt) varies in width: sometimes it is "comfortably wide" allowing
for the circles as I enter my 28 character pass phrase, and sometimes it is
"skinny", allowing for only about 15 or so such circles.

Comment 2 Tom London 2008-07-21 13:24:43 UTC
The 'wide' gdm login screens show a 'suspend' button, the 'narrow' ones do not.

Not sure why this would change on different logins to the same machine....

I'll attach below 3 photos of login screen for same system:

First:  nice background, wide login screen.

Second: no background, wide login screen.

Third: no background, narrow login screen (no suspend button).

In terms of probability of occurrence: the first is about 10%, the second and
third occur about 45% each. 

Comment 3 Tom London 2008-07-21 13:25:27 UTC
Created attachment 312254 [details]
Wide login screen with background

This occurs about 1 in 10.

Comment 4 Tom London 2008-07-21 13:25:52 UTC
Created attachment 312255 [details]
wide login screen with black/no background

Comment 5 Tom London 2008-07-21 13:26:27 UTC
Created attachment 312256 [details]
narrow login screen (no suspend button) with black/no background

Comment 6 Tom London 2008-07-24 14:09:39 UTC
Getting backgrounds now with gdm-2.23.1-0.2008.07.21.3.fc10.i386.

Still have issue with sometimes "narrow" (i.e., no "suspend" button), sometimes
"wide" (i.e., with "suspend" button).

Comment 7 Tom London 2008-08-06 13:27:35 UTC
With gdm-2.23.2-1.fc10.i386 I get background, but still have problem with "narrow"/"wide" randomness....

Comment 8 jmccann 2008-08-20 16:15:18 UTC
The background problem should be fixed now, as should the width.  The suspend button not showing up is a race that I'll fix by twiddling the startup order of the desktop files.  This should show up in rawhide soon.  Marking fixed.

Comment 9 Tom London 2008-09-04 17:55:12 UTC
I'm seeing this again with today's rawhide updates.

Not exactly sure which package caused this.

This known?

Comment 10 Tom London 2008-09-04 18:16:33 UTC
Created attachment 315789 [details]
/var/log/gdm/:0-greeter.log for session with "black background"

Comment 11 Tom London 2008-09-05 02:46:31 UTC
Updating to gnome-desktop-2.23.91-4.fc10.i386 (and friends) fixed this.

Sorry for the noise.


Note You need to log in before you can comment on or make changes to this bug.